# $Revision: 1.6.2.1 $, $Date: 2003/05/21 08:08:02 $

%define pg_version	%(rpm -q --queryformat '%{VERSION}' postgresql-backend-devel)

Summary:	Geographic Information Systems Extensions to PostgreSQL
Summary(pl):	Rozszerzenie do PostgreSQL wspomagajce Geograficzne Systemy Informacyjne
Name:		postgis
Version:	0.7.1
Release:	4
License:	GPL v2
Group:		Applications/Databases
Source0:	http://postgis.refractions.net/%{name}-%{version}.tar.gz
Patch0:		%{name}-no-psql-src.patch
URL:		http://postgis.refractions.net/
BuildRequires:	postgresql-backend-devel >= 7.2.4
BuildRequires:	postgresql-devel
BuildRequires:	proj-devel
Requires:	postgresql = %{pg_version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# oh well... I also don't understand this... ;)

%description
This package contains a module which implements GIS simple features,
ties the features to rtree indexing, and provides some spatial
functions for accessing and analyzing geographic data.

%description -l pl
Pakiet ten zawiera modu implementujcy proste funkcje GIS, wie je z
indeksowaniem rtree oraz dostarcza funkcje dostpu oraz analizy danych
geograficznych.

%prep
%setup  -q
%patch0 -p1

%build
%{__make} \
	USE_PROJ=1 \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	libdir="%{_libdir}/postgresql" \
	shlib="%{name}.so"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/postgresql,%{_bindir}}

%{__make} -C loader install \
	bindir="$RPM_BUILD_ROOT%{_bindir}" \
	INSTALL_PROGRAM=install

install %{name}.so $RPM_BUILD_ROOT%{_libdir}/postgresql

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS README.postgis TODO doc/html examples/wkb_reader loader/README.* *.sql
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/postgresql/%{name}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: postgis.spec,v $
Revision 1.6.2.1  2003/05/21 08:08:02  qboosh
- release 4: rebuild on postgresql 7.2.4

Revision 1.6  2002/10/10 05:13:56  kloczek
- release 3: rebuild against current postgresql.

Revision 1.5  2002/08/30 07:34:30  kloczek
- rebuild against postgresql 7.2.2.

Revision 1.4  2002/06/01 21:48:45  qboosh
- updated to 0.7.1, new %%doc, added proj support

Revision 1.3  2002/05/07 13:48:13  kloczek
- cosmetics.

Revision 1.2  2002/05/07 13:45:25  malekith
- added source url

Revision 1.1  2002/05/07 13:43:22  malekith
- initial, from scratch
